Get fulfillment orders
const url = 'https://order.shopgate.io/v1/merchants/example/fulfillmentOrders?includeInternalIds=false&sort=&limit=100&offset=0&getOriginalImageUrls=false';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://order.shopgate.io/v1/merchants/example/fulfillmentOrders?includeInternalIds=false&sort=&limit=100&offset=0&getOriginalImageUrls=false'Get fulfillment orders
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Unique merchant code which represents the unique “merchant account”.
Query Parameters
Section titled “Query Parameters”Filter string. Available filter: locationCode, status, orderNumber, externalCode, name, billingName, customerId, salesOrderNumber, submitDate, completeDate, readyDate, pickupReminderApplicableAt, holdUntil, plannedFulfillmentDate, pickupReminderApplicableAt, type, pickingBatchId, statusChangeDate, createDate
The entity gets extended with the internal ID of Shopgate, this query cannot be used by external clients.
Available fields: fulfillmentOrderAddress, lineItems, fulfillments, salesOrder
Sorting of orders. Available fields are: submitDate, scheduledPickupTime, type(ROPIS,BOPIS,directShip)
Items per page, for pagination, default is 10, max is 100
Offset for pagination, default is 0
Request original image URLs for LineItem product images.
Responses
Section titled “Responses”object
object
Unique fulfillment order number
External order id
Transaction id of the POS
Date until which order is held for pickup.
Date when pickup reminder can be sent out.
Location code which should fulfill the order
Customer identifier
A customer number / reference to an external system.
Tax amount of the first tax group (e.g. for german taxes this is an absolut number based on either 7% or 19% of the order total; the order total is 10.00 EUR so the taxAmount is 10.00 EUR * 0.19 = 1.9 EUR)
Tax amount of the second tax group (can be used for additional taxes like for example US state taxes)
Customer notes where the shopper can provide special instructions. The notes are shown in the In-Store App & Admin.
Special instructions of the order. It can contain special shipping or fulfillment instructions
Date when the order was submitted by the customer
Date when the order status was changed to accepted
Date when the order status was changed to ready
Date when the order status was changed to completed
object
If used as shipping address for direct ship, this field is required
This field is required if used as shipping address for direct ship
This field is required if used as shipping address for direct ship
This field is required if used as shipping address for direct ship
object
Number of a postbox
Number of a post
Validated according to country code
Validated according to country code
Validated according to country code
object
Number of the Order. Its need to be unique in the system
Code of the source shop.
External order id
Customer identifier
A customer number / reference to an external system.
Indicates if the order needs to be threated expediently
Customer notes where the shopper can provide special instructions. The notes are shown in the In-Store App & Admin.
Special instructions of the order. It can contain special shipping or fulfillment instructions
object
Position in the AddressSequences-Array, mandatory for all fulfillment methods that include billing like directShip and BOPIS
Position in the AddressSequences-Array, mandatory for all fulfillment methods that include shipping like directShip
object
ISO 3166 ALPHA-2 / ISO 3166-2 Country Code
object
Number of a postbox
Number of a post
Validated according to country code
Validated according to country code
Validated according to country code
object
object
object
object
Contains all shipping method which are available fro this order segment. This property is only set if the order was not placed yet and is in the new status
object
object
object
Subtotal of the order
Total amount of all applied promotions with coupons on order level. Without line item level promotions, since these are already included in the order subtotal.
Tax amount of the first tax group (e.g. for german taxes this is an absolut number based on either 7% or 19% of the order total; the order total is 10.00 EUR so the taxAmount is 10.00 EUR * 0.19 = 1.9 EUR)
Tax amount of the second tax group (can be used for additional taxes like for example US state taxes)
Shipping total without any discounts. Its based on the line items in the order
Sum of discounts applied to the shipping total
Shipping total including all discounts
object
Total sum of the order including tax, shipping and discounts
Date of the order when it was created in the Shopgate system
Date when the order was submitted by the customer
Date when the order status was changed to fulfilled
Date when the order status was changed to completed
IP address from the client where the order was placed. It can be a IPv4 or IPv6 address
The UserAgent string from headers of the incoming request.
The domain from which order came.
The platform from which the order came.
Operation system of the source device
Indicates if the order has been imported from an external system. Enabling this flag means that there will be no further processes triggered by this order like emitting events, calculating properties like prices, or starting payment transactions.
Campaign the order should be attributed to
object
object
Used as a group identifier when single-quantity fulfillment is enabled
Reason for a quantity change. Needs to be set if a new quantity is set. Deprecated reasons:
- wrongAttribute
- wrongProduct
- changedMind
- brokenOrDamaged
- outOfStock
Amount of all applied promotions for a single unit (single quantity).
Amount of all applied discounts (promotions with coupons) for a single unit (single quantity).
Total amount of all applied promotions with coupons for the line item. (Formula: lineItem.unitDiscountAmount * lineItem.quantity)
Total amount of all applied promotions for the line item. (Formula: lineItem.unitPromoAmount * lineItem.quantity)
The extended Price is the final price of the line item, including all discounts & promotions that apply to this line item, and also already multiplied with the quantity. Formula: (product.price or product.salePrice if not empty) * quantity + promoAmount + discountAmount. Example: A product original price is 60€ (product.price), but it is on sale for 40€ (product.salePrice). Ordered quantity is 2, there is no discount but there is a promotion that applies to this product and gives 10% additional discount (unitPromoAmount = 4€, promoAmount = 8€). The extended price of this line item should be (40€ * 2) + (-8€) = 72€.
object
Product code
Product name
Main image url of the product
Main price of the product
Sale price of the product
object
object
object
Determines if a substitution is allowed for this line item.
object
Date of the order when it was created in the Shopgate system
object
The actual package weight.
object
The date and time of the package entering status “inTransit” or “fulfilled”.
object
object
Example
{ "fulfillmentOrders": [ { "orderNumber": "1293747-0001", "externalCode": "000000274", "posTransactionId": "528a-1", "cancellationReason": "expired", "heldUntil": "2019-10-05T09:02:57.733Z", "pickupReminderApplicableAt": "2019-09-02T09:02:57.733Z", "salesOrderNumber": "1293747", "locationCode": "DERetail001", "type": "directShip", "customerId": "55c98b8e-1100-497c-8df6-4b4f0353ab2a", "externalCustomerNumber": "C1756793", "routeType": "standardDirectShip", "expedited": true, "status": "new", "subTotal": 65.99, "taxAmount": 12.54, "tax2Amount": 0, "total": 65.99, "shippingTotal": 0, "localeCode": "de-de", "currencyCode": "EUR", "notes": "Some note", "specialInstructions": "House behind the dumpster", "scheduledPickupTime": "2019-09-03T08:00:00Z", "submitDate": "2019-09-02T09:02:57.733Z", "acceptDate": "2019-09-02T14:02:57.733Z", "readyDate": "2019-09-02T14:03:57.733Z", "completeDate": "2019-09-03T15:02:57.733Z", "fulfillmentOrderAddress": { "orderIndex": 0, "type": "pickup", "firstName": "Max", "middleName": "René", "lastName": "Muster", "company": "Shopgate GmbH", "address1": "12 Somestreet", "address2": "Haus B", "address3": "erste Etage", "address4": null, "city": "Butzbach", "region": "HE", "postalCode": "35510", "country": "DE", "additionalFields": { "dhlPostBoxNumber": 12345, "dhlPostNumber": 1234567890 }, "phone": "+49 12345 6789 001", "fax": "+49 12345 6789 002", "mobile": "+49 12345 6789 003", "emailAddress": "max.muster@shopgate.com" } } ], "meta": { "limit": 100, "offset": 0, "totalItemCount": 1 }}Merchant not found
default
Section titled “default”Unexpected error
object
Machine readable error code
Human readable error code
Example
{ "code": "internal.database", "message": "Internal Database Error"}
